Name:             kde-gtk-config
Version:          2.1
Release:          1%{?dist}
Summary:          KDE GTK Configurator
License:          GPLv3+
URL:              https://projects.kde.org/projects/playground/base/kde-gtk-config
Source0:          http://ftp.kde.org/stable/%{name}/%{version}/src/%{name}-%{version}.tar.bz2
BuildRequires:    gettext
BuildRequires:    gtk2-devel
BuildRequires:    gtk3-devel
BuildRequires:    kdelibs4-devel

%{?_kde4_version:Requires: kdelibs4%{?_isa} >= %{_kde4_version}}

%description
GTK2 and GTK3 Configurator for KDE.
Configuration dialog to adapt GTK applications appearance to
your taste under KDE. Among its many features, it lets you:
- Choose which theme is used for GTK2 and GTK3 applications.
- Tweak some GTK applications behaviour.
- Select what icon theme to use in GTK applications.
- Select GTK applications default fonts.
- Easily browse and install new GTK2 and GTK3 themes.

%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name}


%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :

%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%doc ChangeLog COPYING README
%{_kde4_bindir}/gtk3_preview
%{_kde4_bindir}/gtk_preview
%{_kde4_bindir}/reload_gtk_apps
%{_kde4_libdir}/kde4/kcm_cgc.so
%{_kde4_appsdir}/kcm-gtk-module/
%{_kde4_datadir}/config/*
%{_kde4_datadir}/kde4/services/kde-gtk-config.desktop
%{_kde4_iconsdir}/hicolor/*/apps/gtkconfig.png

%changelog
* Fri Aug 17 2012 Alexey Kurov <nucleo@fedoraproject.org> - 2.1-1
- Initial RPM release.
